using System;
using System.Data;
using System.Data.SqlClient;
using System.Data.SqlTypes;
using System.Xml;
using System.Reflection;
using System.Configuration;
using ESpace.DALibrary.SqlServer;
using ESpace.DALibrary;

namespace AVC.DataAccess
{
	public class GetUserGroups : DataAccessBase
	{
		public GetUserGroups()
		{
			base.EncryptMethod = Alogrim.SymmProvEnum.DES;
			base.Key = "1234";
			base.IV = "1234";
			ConnectionString = ConfigurationManager.AppSettings["Passport"];
			base.InitCommand("[dbo].[GetUserGroups]");
			ConfigParameter();
		}

		private SqlParameter paramSubSystemID;
		public System.String SubSystemID
		{
			get
			{
				return (System.String)paramSubSystemID.Value;
			}
			set
			{
				paramSubSystemID.Value = value;
			}
		}

		private SqlParameter paramUserID;
		public System.Int32 UserID
		{
			get
			{
				return (System.Int32)paramUserID.Value;
			}
			set
			{
				paramUserID.Value = value;
			}
		}

		public void ConfigParameter()
		{
			//--------------------------------------------------------
			paramSubSystemID = new SqlParameter();
			paramSubSystemID.ParameterName = "@SubSystemID";
			paramSubSystemID.SqlDbType = SqlDbType.VarChar;
			paramSubSystemID.Size = 6;
			paramSubSystemID.Direction = ParameterDirection.Input;
			paramSubSystemID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramSubSystemID);
			//--------------------------------------------------------
			paramUserID = new SqlParameter();
			paramUserID.ParameterName = "@UserID";
			paramUserID.SqlDbType = SqlDbType.Int;
			paramUserID.Precision = 10;
			paramUserID.Scale = 0;
			paramUserID.Direction = ParameterDirection.Input;
			paramUserID.Value = DBNull.Value;
			base.sqlComm.Parameters.Add(this.paramUserID);
		}
	}
}